Skip to main content
GET
/
organizations
/
{organizationID}
/
limits
Get organization resource limits
curl --request GET \
  --url https://api.xata.tech/organizations/{organizationID}/limits \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.xata.tech/organizations/{organizationID}/limits"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.xata.tech/organizations/{organizationID}/limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "maxDescriptionLength": 26,
  "maxBranchesPerProject": 123,
  "maxInstancesPerBranch": 2,
  "minInstancesPerBranch": 2,
  "maxAllowedInstanceType": 2,
  "maxBranchesPerHour": 2,
  "maxProjects": 2,
  "maxProjectsPerHour": 2,
  "maxBranchesPerOrg": 2
}
{
"message": "<string>",
"id": "<string>"
}
{
"message": "<string>",
"id": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organizationID
string
required

Unique identifier of the organization

Pattern: [a-zA-Z0-9_-~:]+

Response

Effective resource limits for the organization

Effective resource limits for an organization, covering org-level defaults for all projects plus organization-specific constraints

maxDescriptionLength
integer
required

Maximum character length allowed for project descriptions

Required range: x >= 25
maxBranchesPerProject
integer
required

Maximum number of branches allowed per project

maxInstancesPerBranch
integer
required

Maximum number of database instances allowed per branch

Required range: x >= 1
minInstancesPerBranch
integer
required

Minimum number of database instances required per branch

Required range: x >= 1
maxAllowedInstanceType
integer
required

Maximum VCPUs (in millicores) allowed per instance; instance types with a higher VCPUsRequest are unavailable

Required range: x >= 1
maxBranchesPerHour
integer
required

Maximum number of branches that can be created in a rolling one-hour window

Required range: x >= 1
maxProjects
integer
required

Maximum number of projects allowed in the organization

Required range: x >= 1
maxProjectsPerHour
integer
required

Maximum number of projects that can be created in a rolling one-hour window

Required range: x >= 1
maxBranchesPerOrg
integer
required

Maximum number of active branches allowed across all projects in the organization

Required range: x >= 1